function [varargout] = PolMove(varargin)

%When you want to compute the poles w/o divisions PolMove(Pol1, Pol2, cellnum, f);

if size(varargin,2) == 4
    Pol1 = varargin{1};
    Pol2 = varargin{2};
    cellnum = varargin{3};
    fr = varargin{4};
    dis1 = sqrt((Pol1(fr, cellnum,1)-Pol1(fr-1, cellnum,1))^2 + (Pol1(fr, cellnum,2)-Pol1(fr-1, cellnum,2))^2);
%     plot([Pol1(fr, cellnum,1) Pol1(fr-1, cellnum,1)], [Pol1(fr, cellnum,2) Pol1(fr-1, cellnum,2)], '-r')
    dis2 = sqrt((Pol2(fr, cellnum,1)-Pol2(fr-1, cellnum,1))^2 + (Pol2(fr, cellnum,2)-Pol2(fr-1, cellnum,2))^2);
%     plot([Pol2(fr, cellnum,1) Pol2(fr-1, cellnum,1)], [Pol2(fr, cellnum,2) Pol2(fr-1, cellnum,2)], '-y')

    dis1b = sqrt((Pol1(fr, cellnum,1)-Pol2(fr-1, cellnum,1))^2 + (Pol1(fr, cellnum,2)-Pol2(fr-1, cellnum,2))^2);
    dis2b = sqrt((Pol2(fr, cellnum,1)-Pol1(fr-1, cellnum,1))^2 + (Pol2(fr, cellnum,2)-Pol1(fr-1, cellnum,2))^2);
    
    varargout{1} = dis1;
    varargout{2} = dis2;
    varargout{3} = dis1b;
    varargout{4} = dis2b;
    %When you want to compute the poles w/ divisions

elseif size(varargin,2) == 5
        
        %PolMove(Pol1, Pol2, cellnum, p1, p2, fr);
        Pol1 = varargin{1};
        Pol2 = varargin{2};
        cellnum = varargin{3};
       	p1 = varargin{4};
        fr = varargin{5};
        if size(p1,2) == 1
            b = 3;
            dis1 = 0;
            dis2 = 0;
            p1 =0;
            
        else
            dis1 = sqrt((p1(1)-Pol1(fr-1, cellnum,1))^2 + (p1(2)-Pol1(fr-1, cellnum,2))^2);
            dis2 = sqrt((p1(1)-Pol2(fr-1, cellnum,1))^2 + (p1(2)-Pol2(fr-1, cellnum,2))^2);
            [a, b] = min([dis1, dis2]);
            p = p1;
            
        end
%         plot([p1(1) Pol1(fr-1, cellnum,1)], [p1(2) Pol1(fr-1, cellnum,2)], '-r')
        
%         dis2 = sqrt((p2(1)-Pol2(fr-1, cellnum,1))^2 + (p2(2)-Pol2(fr-1, cellnum,2))^2);
%         plot([p2(1) Pol2(fr-1, cellnum,1)], [p2(2) Pol2(fr-1, cellnum,2)], '-y')
       
%         plot([p1(1) Pol2(fr-1, cellnum,1)], [p1(2) Pol2(fr-1, cellnum,2)], '-g')
        
        varargout{1} = dis1;
        varargout{2} = dis2;
        varargout{3} = p1;
        varargout{4} = b; 
%   
%         
%         dis2b = sqrt((p2(1)-Pol1(fr-1, cellnum,1))^2 + (p2(2)-Pol1(fr-1, cellnum,2))^2);
%         plot([p2(1) Pol1(fr-1, cellnum,1)], [p2(2) Pol1(fr-1, cellnum,2)], '-m')


    else
        dis1 = 0;
        dis2 = 0;
        dis1b = 0;
        dis2b = 0;
        'cry'
    end

end

