function [val_oldcellnum, val_newcellnum, valcheckoldcellnum, valchecknewcellnum] = Assign_Poles(p11, p12, p21, p22, center1, center2, slope1, slope2, Pol1, Pol2, cellnum, f)
%Assign_Poles, this function investigates which poles are centered within
%the cells
%   Detailed explanation goes here

val_oldcellnum = 0;
val_newcellnum = 0;
valcheckoldcellnum = 0;
valchecknewcellnum = 0;

varx = std([p11(1)  p12(1) p21(1) p22(1)]);
vary = std([p11(2)  p12(2) p21(2) p22(2)]);

if slope1 ~= pi/2 && slope2 ~= pi/2
    if slope1 < 0 && slope2 < 0 && min([pi+(slope1-pi/2) pi+(slope2-pi/2)]) > 0.4
        if center1(1) < center2(1)
            if p11(1) > center1(1) && p11(1) < center2(1) %&& p11(2) < center1(2) && p11(2) > center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) > center1(1) && p12(1) < center2(1)% && p12(2) < center1(2) && p12(2) > center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) > center1(1) && p21(1) < center2(1) %&& p21(2) < center1(2) && p21(2) > center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) > center1(1) && p22(1) < center2(1) %&& p22(2) < center1(2) && p22(2) > center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(1) < center1(1) && p11(1) > center2(1) %&& %p11(2) > center1(2) && p11(2) < center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) < center1(1) && p12(1) > center2(1) %&& p12(2) > center1(2) && p12(2) < center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) < center1(1) && p21(1) > center2(1)% && p21(2) > center1(2) && p21(2) < center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) < center1(1) && p22(1) > center2(1) %&& p22(2) > center1(2) && p22(2) < center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
    elseif slope1 < 0 && slope2 < 0 && min([pi+(slope1-pi/2) pi+(slope2-pi/2)]) < 0.4
        if center1(2) < center2(2)
            if p11(2) > center1(2) && p11(2) < center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) > center1(2) && p12(2) < center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) > center1(2) && p21(2) < center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) > center1(2) && p22(2) < center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(2) < center1(2) && p11(2) > center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) < center1(2) && p12(2) > center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) < center1(2) && p21(2) > center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) < center1(2) && p22(2) > center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
    elseif  slope1 >= 0 && slope2 >= 0 && min([pi-(slope1+pi/2) pi-(slope2+pi/2)]) > 0.35
        if center1(1) < center2(1)
            if p11(1) > center1(1) && p11(1) < center2(1) %&& p11(2) > center1(2) && p11(2) < center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) > center1(1) && p12(1) < center2(1) %&& p12(2) > center1(2) && p12(2) < center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) > center1(1) && p21(1) < center2(1) %&& p21(2) > center1(2) && p21(2) < center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) > center1(1) && p22(1) < center2(1) %&& p22(2) > center1(2) && p22(2) < center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(1) < center1(1) && p11(1) > center2(1) %&& p11(2) < center1(2) && p11(2) > center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) < center1(1) && p12(1) > center2(1) %&& p12(2) < center1(2) && p12(2) > center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) < center1(1) && p21(1) > center2(1) %&& p21(2) < center1(2) && p21(2) > center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) < center1(1) && p22(1) > center2(1) %&& p22(2) < center1(2) && p22(2) > center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
    elseif  slope1 >= 0 && slope2 >= 0 && min([pi-(slope1+pi/2) pi-(slope2+pi/2)]) < 0.35
         if center1(2) < center2(2)
            if p11(2) > center1(2) && p11(2) < center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) > center1(2) && p12(2) < center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) > center1(2) && p21(2) < center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) > center1(2) && p22(2) < center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(2) < center1(2) && p11(2) > center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) < center1(2) && p12(2) > center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) < center1(2) && p21(2) > center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) < center1(2) && p22(2) > center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
        
    elseif slope1 == 0 && slope2 == 0
        if center1(1) < center2(1)
            if p11(1) > center1(1) && p11(1) < center2(1)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) > center1(1) && p12(1) < center2(1)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) > center1(1) && p21(1) < center2(1)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) > center1(1) && p22(1) < center2(1)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(1) < center1(1) && p11(1) > center2(1)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) < center1(1) && p12(1) > center2(1)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) < center1(1) && p21(1) > center2(1)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) < center1(1) && p22(1) > center2(1)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
            
        end
        
    elseif varx > vary (slope1 <= 0 && slope2 > 0  || slope1 >= 0 && slope2 < 0  || slope1 < 0 && slope2 >= 0  || slope1 > 0 && slope2 <= 0 )
        if center1(1) < center2(1)
            if p11(1) > center1(1) && p11(1) < center2(1)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) > center1(1) && p12(1) < center2(1)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) > center1(1) && p21(1) < center2(1)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) > center1(1) && p22(1) < center2(1)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(1) < center1(1) && p11(1) > center2(1)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(1) < center1(1) && p12(1) > center2(1)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(1) < center1(1) && p21(1) > center2(1)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(1) < center1(1) && p22(1) > center2(1)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
    elseif vary > varx && (slope1 <= 0 && slope2 > 0  || slope1 >= 0 && slope2 < 0  || slope1 < 0 && slope2 >= 0 || slope1 > 0 && slope2 <= 0)
        if center1(2) < center2(2)
            if p11(2) > center1(2) && p11(2) < center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) > center1(2) && p12(2) < center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) > center1(2) && p21(2) < center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) > center1(2) && p22(2) < center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        else
            if p11(2) < center1(2) && p11(2) > center2(2)
                val_oldcellnum = p11;
                valcheckoldcellnum = p12;
            elseif p12(2) < center1(2) && p12(2) > center2(2)
                val_oldcellnum = p12;
                valcheckoldcellnum = p11;
            end
            if p21(2) < center1(2) && p21(2) > center2(2)
                val_newcellnum = p21;
                valchecknewcellnum = p22;
            elseif p22(2) < center1(2) && p22(2) > center2(2)
                val_newcellnum = p22;
                valchecknewcellnum = p21;
            end
        end
    end
else
    if center1(2) < center2(2)
        if p11(2) >= center1(2) && p11(2) <= center2(2)
            val_oldcellnum = p11;
            valcheckoldcellnum = p12;
        elseif p12(2) >= center1(2) && p12(2) <= center2(2)
            val_oldcellnum = p12;
            valcheckoldcellnum = p11;
        end
        if p21(2) >= center1(2) && p21(2) <= center2(2)
            val_newcellnum = p21;
            valchecknewcellnum = p22;
        elseif p22(2) >= center1(2) && p22(2) <= center2(2)
            val_newcellnum = p22;
            valchecknewcellnum = p21;
        end
    else
        if p11(2) <= center1(2) && p11(2) >= center2(2)
            val_oldcellnum = p11;
            valcheckoldcellnum = p12;
        elseif p12(2) <= center1(2) && p12(2) >= center2(2)
            val_oldcellnum = p12;
            valcheckoldcellnum = p11;
        end
        if p21(2) <= center1(2) && p21(2) >= center2(2)
            val_newcellnum = p21;
            valchecknewcellnum = p22;
        elseif p22(2) <= center1(2) && p22(2) >= center2(2)
            val_newcellnum = p22;
            valchecknewcellnum = p21;
        end
    end
end


%     if p11(1) < center1(1) && p11(1) > center2(1) && p11(2) < center1(2) && p11(2) > center2(2)
%         [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, p12 , f);
%         Pol1(f, cellnum,1:2) = p11;
%         Pol1(f, cellnum, 3) = 0;
%         Pol1(f, cellnum, 4) = 1;
%     elseif p12(1) < center1(1) && p12(1) > center2(1) && p12(2) < center1(2) && p12(2) > center2(2)
%         [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, p11 , f);
%         Pol2(f, cellnum,1:2) = p12;
%         Pol2(f, cellnum, 3) = 0;
%         Pol2(f, cellnum, 4) = 1;
%     end
%     if p21(1) < center1(1) && p21(1) > center2(1) && p21(2) < center1(2) && p21(2) > center2(2)
%         [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, p22 , f);
%         Pol1(f, longueur_index+1,1:2) = p21;
%         Pol1(f, longueur_index+1, 3) = 0;
%         Pol1(f, longueur_index+1, 4) = 1;
%     elseif p22(1) < center1(1) && p22(1) > center2(1) && p22(2) < center1(2) && p22(2) > center2(2)
%         [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, p21 , f);
%         Pol2(f, longueur_index+1,1:2) = p22;
%         Pol2(f, longueur_index+1, 3) = 0;
%         Pol2(f, longueur_index+1, 4) = 1;
%     end
%     if PolVal1 == 1
%         Pol1(f, cellnum,1:2) = p1;
%         Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
%     else
%         Pol2(f, cellnum,1:2) = p1;
%         Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
%     end
%     if PolVal2 == 1
%         Pol1(f, longueur_index+1,1:2) = p2;
%         Pol1(f, longueur_index+1, 3) =  Pol1(f, longueur_index+1, 3)+1;
%     else
%         Pol2(f, longueur_index+1,1:2) = p2;
%         Pol2(f, longueur_index+1,3) =  Pol2(f, longueur_index+1, 3)+1;
%     end
%
% else
%     if slope1 > pi/4
%
%     elseif slope1 < -pi/4
%
%     elseif slope1 < 0 && slope1 > - pi/4
%         if p12(1) < center2(1) && p12(1) > center1(1) && p12(1) < center2(1) && p12(1) > center1(1)
%            [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, p11 , f);
%             Pol1(f, cellnum,1:2) = p12;
%             Pol1(f, cellnum, 3) = 0;
%             Pol1(f, cellnum, 4) = 1;
%     elseif slope1 > 0 && slope1 < pi/4
%         if p12(1) < center2(1) && p12(1) > center1(1) && p12(1) > center2(1) && p12(1) < center1(1)
%     else
%     if p11(1) < center2(1) && p11(1) > center1(1) && p11(2) < center2(2) && p11(2) > center1(2)
%         [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, p12 , f);
%         Pol1(f, cellnum,1:2) = p11;
%         Pol1(f, cellnum, 3) = 0;
%         Pol1(f, cellnum, 4) = 1;
%     elseif p12(1) < center2(1) && p12(1) > center1(1)
%         if
%             if p12(2) < center2(2) && p12(2) > center1(2)
%                 [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, p11 , f);
%                 Pol2(f, cellnum,1:2) = p12;
%                 Pol2(f, cellnum, 3) = 0;
%                 Pol2(f, cellnum, 4) = 1;
%             else
%
%
%     end
%     if p21(1) < center2(1) && p21(1) > center1(1) && abs(slope1 p21(2) < center2(2) && p21(2) > center1(2)
%         [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, p22 , f);
%         Pol1(f, longueur_index+1,1:2) = p21;
%         Pol1(f, longueur_index+1, 3) = 0;
%         Pol1(f, longueur_index+1, 4) = 1;
%     elseif p22(1) < center2(1) && p22(1) > center1(1) && p22(2) < center2(2) && p22(2) > center1(2)
%         [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, p21 , f);
%         Pol2(f, longueur_index+1,1:2) = p22;
%         Pol2(f, longueur_index+1, 3) = 0;
%         Pol2(f, longueur_index+1, 4) = 1;
%     end
%     if PolVal1 == 1
%         Pol1(f, cellnum,1:2) = p1;
%         Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
%     else
%         Pol2(f, cellnum,1:2) = p1;
%         Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
%     end
%     if PolVal2 == 1
%         Pol1(f, longueur_index+1,1:2) = p2;
%         Pol1(f, longueur_index+1, 3) =  Pol1(f, longueur_index+1, 3)+1;
%     else
%         Pol2(f, longueur_index+1,1:2) = p2;
%         Pol2(f, longueur_index+1,3) =  Pol2(f, longueur_index+1, 3)+1;
%     end

if size(val_oldcellnum,2) == 1 && size(val_newcellnum,2) == 1 && size(valcheckoldcellnum,2) == 1 && size(valchecknewcellnum,2) == 1
end

end

