% compute the cost matrix

function [cost] = link_cost(param, max_move, mean_move)

% dist max = cutogff
max_val = 110;


nb_region1 = length(param{1});
nb_region2 = length(param{2});

cost1 = inf(nb_region1,nb_region2);
cost2 = eye(nb_region2);
cost3 = eye(nb_region1);

fin = 10;
% if mean_move > 13
%     fin = 1280/3;
% end

dist_max(700:1280) = max_move;
dist_min(600:1280) = 0;
for grad = 1:1280
    dist_min(grad) = (1280-grad+128)*(mean_move)/1280;
%     dist_max(grad) = (1280-grad)*(mean_move)/300;
end
dist_min(600:1280) = -2;
dist_max(1:700) =max_move*1.5;
% dist_max = 60;
for n=1:nb_region1
    
    for m=1:nb_region2
       
        
        [weight] = cost_weight(param,n,m, dist_min, dist_max);
        
        
        if weight < max_val
            
            cost1(n,m) = weight;

        end
        
    end
    
end

ma = unique(cost1(:));

cost2 = cost2 .* (1.05*ma(end-1));
cost3 = cost3 .* (1.05*ma(end-1));

cost2(cost2==0)=inf;
cost3(cost3==0)=inf;

cost = [cost1 cost3 ; cost2 cost1'];
cost = munkres(cost);



 
function [w] = cost_weight(param,n,m,dist_min, dist_max)
        
%         dist_max = 60;
        darea_max = 150;
        x_dist_fac = 0.5;
        y_dist_fac = 7.5;
        long_fac = 1.8;
        angle_fac = 1.2; 
        
       
        
        centr1 =  param{1}(n).center;
        centr2 =  param{2}(m).center;
        area1 =  param{1}(n).boundedarea;
        area2=  param{2}(m).boundedarea;
        long1 = param{1}(n).longueur;
        long2 = param{2}(m).longueur;
        angl1 = param{1}(n).slope;
        angl2 = param{2}(m).slope;
        dangle = Delta_Angle(angl1, angl2);
        width1 = param{1}(n).largeur;
        width2 = param{2}(m).largeur;
        % compute the distance between 2 points
        if long2+long1 > 60 
            dellong = abs(long2-long1)/(long2+long1);
        else
            dellong = abs(long2-long1)/(long2+long1)/2;
        end  
        
        dist = sqrt(sum(diff([centr1;centr2]).^2));
        distx = diff([centr2(1); centr1(1)]);
        if distx < -2
            distx = 20*abs(distx);
        else
            distx = distx;
        end
        disty = abs(diff([centr1(2); centr2(2)]));
%         darea(n,m) = abs(area2-area1);
%         sumarea(n,m) = area2+area1;
        darea_ratio = abs(area2-area1)/(area2+area1);
        % compute the distance between 2 points
        %(floor(centr1(1))) +darea_ratio*5 disty*y_dist_fac
%         (floor(centr1(1)))
        
        if width1 > 20 || width2 > 20 && dist < dist_max(floor(centr1(1)))
           w = dist*2;
        elseif dist < dist_max(floor(centr1(1))) && dellong < 0.05 && abs(distx) > dist_min(floor(centr1(1))) && (distx/disty > 1 || dist < 6) && centr2(1) > fin-mean_move && centr1(1) > fin && width1 < 20 && width2 < 20
           % w = dist*0.3 + distx*x_dist_fac + dellong*long_fac+dangle*angle_fac+disty*y_dist_fac;
            w = dist*0.3 +distx*x_dist_fac + disty*y_dist_fac+darea_ratio*3+dellong*long_fac + dangle*angle_fac;
        else
            w = inf;
            
        end
end
end

% centr1 =  param{1}(n).centroid;
%         centr2 =  param{2}(m).centroid;
%         
%        if dist(n,m) < dist_max && darea_ratio(n,m) < 0.15
%             
%             cost1(n,m) = dist(n,m)+darea_ratio(n,m)*10;
%         end
% 



