%% In this script, cell divisions are detected and cells are split accordingly. New Poles when availlable are also marked.


mainDirectory = '/'; % Main Directory in which subsequent steps will be saved
dirImage = dir(fullfile(mainDirectory,'*.tif')); % List Images in the directory
LoadFileDirectory = fullfile(mainDirectory, '');
loadingDirectory2 = fullfile(mainDirectory, 'seg_results');

LoadSubFileDirectory = fullfile(mainDirectory,'reseg_results');
mkdir(savefiledirectory);


SaveTrackingResults = fullfile(mainDirectory, 'tracking_angle_results');
mkdir(fullfile(SaveTrackingResults));



loadingDirectory = fullfile(mainDirectory, '');
LoadTrackingResults = fullfile(mainDirectory, 'tracking_angle_results');
LoadGlobalResults = fullfile(mainDirectory,'seg_results');

longueur = length(dirImage);
SaveIndivResults = fullfile(mainDirectory, 'IndivResults/');
mkdir(fullfile(SaveIndivResults));
N = 8500; % Number of Putative individual cells tracked
nframe = 3000; % Number of tracked frames
f = 1;
fileName{f} = dirImage(f).name';
[stringtofilter] = regexp(fileName{f}', '\_', 'split');
starttime = stringtofilter{2};
fluofilter = stringtofilter{3};
position = stringtofilter{4};
date = stringtofilter{5};
picnumber = stringtofilter{6};
imagingtime = picnumber;
picnumber = char(picnumber(1:length(picnumber)-4));
LoadGlobalResults = fullfile(mainDirectory, 'seg_results');
LoadResegResults = fullfile(mainDirectory, 'reseg_results');
LoadGlobalFile= fullfile(LoadGlobalResults, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,fluofilter, position, date, picnumber));
load(LoadGlobalFile)
loadTrackingResults = fullfile(mainDirectory, 'tracking_angle_results');



for subpart = 1:Split2
    
    imsizetoreach(1) = size(tempim2{subpart},1);
    imsizetoreach(2) = size(tempim2{subpart},2);
    
    clear lon;
    clear basic_index;
    clear added_index;
    clear Birth_index;
    clear flagada;
    clear Xpos;
    clear Ypos;
    clear cell_length;
    clear temptracer1;
    clear temptracer2;
    clear oldtracer2;
    clear flag;
    clear flaglambda;
    clear flag0;
    clear flag1;
    clear flag2;
    clear flag3;
    clear flag5;
    clear flag7;
    clear flag8;
    clear newid;
    clear flagnew;
    clear flag9;
    clear flag10;
    clear flagorthensia;
    clear UniqueID;
    clear cellcounter;
    clear div_count;
    clear tracing_road1;
    clear tracing_road2;
    clear Division_marker;
    clear profiles;
    clear value_to_plot;
    clear xsize ;
    clear flag_to_div;
    clear UniqueID;
    clear Pol1;
    clear Pol2;
    clear flag11;
    FlagMiss = 0;
    
    LoadTrackingMatrixName= fullfile(loadTrackingResults, sprintf('Tracking_Line_part%d.mat', subpart));
    load(LoadTrackingMatrixName)
    
    
    f = 1;
    
    fileName{f} = dirImage(f).name';
    [stringtofilter] = regexp(fileName{f}', '\_', 'split');
    starttime = stringtofilter{2};
    fluofilter = stringtofilter{3};
    position = stringtofilter{4};
    date = stringtofilter{5};
    picnumber = stringtofilter{6};
    imagingtime = picnumber;
    picnumber = char(picnumber(1:length(picnumber)-4));
    
    LoadSegResults = fullfile(LoadResegResults, sprintf('start_%s_%s_%s_%s_%s_part%d_variables_resegmented.mat',starttime ,fluofilter , position, date, picnumber, subpart));
    
    if exist(LoadSegResults, 'file') ~= 2; LoadSegResults = fullfile(LoadGlobalResults, sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat',starttime ,fluofilter , position, date, picnumber, subpart)); end
    load(LoadSegResults)
    
    
    B1 = newB;
    boundarea1 = newboundarea;
    sinind1 = final_single_cell_indices;
    centroid1 = centroid;
    slope1 = zeros(max(sinind1));
    for k = 1:length(sinind1);
        if atan(slopevector(sinind1(k))) < 0
            slope1(sinind1(k)) = pi + atan(slopevector(sinind1(k)));
        else
            slope1(sinind1(k)) = atan(slopevector(sinind1(k)));
        end
    end
    longueur_profile1 = longueur_profile;
    
    tracking_map = zeros(length(B1), length(dirImage));
    tracking_map(:,1) = 1:length(B1);
    
    
    
    
    lon = length(sinind1);
    basic_index = sinind1;
    added_index = basic_index;
    Birth_index = zeros(N,3);
    flagada = zeros(1,N);
    
    cell_length = zeros(N,nframe);
    Xpos = zeros(N,nframe);
    Ypos = zeros(N,nframe);
    temptracer1 = zeros(1,N);
    temptracer2 = zeros(1,N);
    oldtracer2 = zeros(1,N);
    flag = zeros(1,N);
    flaglambda = zeros(1,N);
    flag0 = zeros(1,N);
    flag1 = zeros(1,N);
    flag2 = zeros(1,N);
    flag3 = zeros(1,N);
    flag5 = zeros(1,N);
    flag7 = zeros(1,N);
    flag8 = zeros(1,N);
    newid = zeros(1,N);
    Pol1 = zeros(nframe,N,4);
    Pol2 = zeros(nframe,N,4);
    FlagMissedDivision = zeros(1,N);
    flagnew = zeros(1,N);
    flag9 = zeros(1,N);
    flag10 = zeros(1,N);
    flag11 = zeros(1,N);
    flagorthensia = 0;
    psi = mexihat(-10,10,30);
    psi2 = mexihat(-11,11,30);
    clear UniqueID;
    cellcounter = 1;
    div_count = 100 * ones(1,N);
    tracing_road1 = zeros(N,nframe);
    tracing_road2 = zeros(N,nframe);
    Division_marker = struct([]);
    profiles = struct([]);
    value_to_plot = struct([]);
    xsize = 1100;
    flag_to_div = 0;
    nval = 10;
    backgroundval = 21;
    uperbackgroundval =  27;
    delta = 10;
    clear UniqueID
%     UniqueID = zeros(lon,2);
    tracking_matrix = Tracking_Line;
    
    
% %     for l = 1:N
% %         for m = 1:nframe
% %             profile{l,m} = [];
% %         end
% %     end
    
    for n = 1:lon
        
        FirstID = basic_index(n);
        
        
        index = find(tracking_matrix(:,1));
        m = tracking_matrix(index(end),1);
        %
        temptracer1(n) = n;
        temptracer2(n) = n;
        oldtracer2(n) = n;
        
        tracing_road1(n,1) = temptracer1(n);
        tracing_road2(n,1) = temptracer2(n);
        
        Birth_index(n,1) = FirstID;
        Birth_index(n,2) = 0;
        Birth_index(n,3) = FirstID;
        UniqueID(cellcounter,1) = n;
        UniqueID(cellcounter,2) = 0;
        cellcounter = cellcounter+1;
        Division_marker{n} = [];
        [Pol1(f, n, 1),Pol1(f, n, 2), Pol2(f, n, 1), Pol2(f, n, 2)] =  PoleRetrieveAll(centroid1, longueur_profile, slope1, sinind1 ,n, imsizetoreach);
        Pol1(f, n, 3) = 500;
        Pol2(f, n, 3) = 500;
        Pol1(f, n, 4) = 0;
        Pol2(f, n, 4) = 0;
    end
    
    lon = length(added_index);
    
    
    for m = 1:lon
        for n = 1:nval
            value_to_plot{m,n} = [0 0];
        end
    end
    
    
    for i = 2:nframe
        
        clear B2;
        clear slope2;
        clear bfacto2;
        clear boundarea2;
        clear centroid2;
        clear sinind2;
        clear longueur_profile2;
        B2 = B1;
        slope2 = slope1;
        boundarea2 = boundarea1;
        sinind2 = sinind1;
        centroid2 = centroid1;
        longueur_profile2 = longueur_profile1;
        
        f = i
        fileName{f} = dirImage(f).name';
        [stringtofilter] = regexp(fileName{f}', '\_', 'split');
        starttime = stringtofilter{2};
        fluofilter = stringtofilter{3};
        position = stringtofilter{4};
        date = stringtofilter{5};
        picnumber = stringtofilter{6};
        imagingtime = picnumber;
        picnumber = char(picnumber(1:length(picnumber)-4));
        LoadSegResults = fullfile(LoadResegResults, sprintf('start_%s_%s_%s_%s_%s_part%d_variables_resegmented.mat',starttime ,fluofilter , position, date, picnumber, subpart));
        LoadGlobalFile= fullfile(LoadGlobalResults, sprintf('start_%s_%s_%s_%s_%s_global_variables.mat', starttime ,fluofilter, position, date, picnumber));
        load(LoadGlobalFile)
        if exist(LoadSegResults, 'file') ~= 2; LoadSegResults = fullfile(LoadGlobalResults, sprintf('start_%s_%s_%s_%s_%s_part%d_variables.mat',starttime ,fluofilter , position, date, picnumber, subpart)); end
        load(LoadSegResults)
        B1 = newB;
        boundarea1 = newboundarea;
        sinind1 = final_single_cell_indices;
        centroid1 = centroid;
        longueur_profile1 = longueur_profile;
        
        slope1 = zeros(max(sinind1));
    
        for k = 1:length(sinind1);
            if atan(slopevector(sinind1(k))) < 0
                slope1(sinind1(k)) = pi + atan(slopevector(sinind1(k)));
            else
                slope1(sinind1(k)) = atan(slopevector(sinind1(k)));
            end
        end
        
        
        image = tempim2{subpart};
        imagesizey = size(tempim2{subpart},1);
        imagesizex = size(tempim2{subpart},2);
        
        j = i-1;
        if rem(i,50) > 10
            flagorthensia  = 0;
        end
        
        %     First Part for cells which divided and splitted before.
        
        longueur_index = length(added_index);
        
        
        if lon ~= longueur_index
            for m = lon:longueur_index
                for minicompt = 1:nval
                    value_to_plot{m,minicompt} = [0 0];
                end
            end
        end
        
        if lon ~= longueur_index
            for cellnum = lon+1:longueur_index
                cellnum;
                if flag9(cellnum) == 1
                    div_count(cellnum) = div_count(cellnum) + 1;
                    flaglambda(cellnum) = 0;
                    flag1(cellnum) = 0;
                    flag2(cellnum) = 0;
                    flag3(cellnum) = 0;
                    clear boundary1; clear boundary2; clear boundary3; clear boundary4; clear boundary5;
                    longueur_index = length(added_index);
                    j = i-1;
                    
                    if tracing_road1(cellnum,j-1) == 0 && tracing_road2(cellnum,j-1) == 0
                        continue
                    end
                    if temptracer1(cellnum) > length(sinind2)
                        continue
                    end
                    if temptracer1(cellnum) ~= 0
                        k2 = temptracer1(cellnum);
                    else
                        k2 = temptracer2(cellnum);
                    end
                    if temptracer1(cellnum) ~= 0
                        k3 = temptracer2(cellnum);
                    else
                        k3 = temptracer1(cellnum);
                    end
                    boundary2 = B2{sinind2(k2)};
                    if tracking_matrix(k2,j) ~= 0
                        boundary1 = B1{sinind1(tracking_matrix(k2,j))};
                        flag1(cellnum) = 1;
                    end
                    index = find(tracking_matrix(:,j));
                    m = tracking_matrix(index(end),j);
                    if tracking_matrix(m + k2, j) ~= 0
                        boundary3 = B1{sinind1(tracking_matrix(k2+m,j))};
                        oldtracer2(cellnum) = temptracer2(cellnum);
                        temptracer2(cellnum) = tracking_matrix(k2+m,j);
                        flaglambda(cellnum) = 1;
                        
                    end
                    
                    if oldtracer2(cellnum) ~= temptracer1(cellnum) && oldtracer2(cellnum) ~= 0 && temptracer1(cellnum) ~=0
                        boundary4 = B2{sinind2(k3)};
                        flag2(cellnum) = 1;
                        if tracking_matrix(k3,j) ~= 0
                            boundary5 = B1{sinind1(tracking_matrix(k3,j))};
                            flag3(cellnum) = 1;
                        end
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k3,j);
                        end
                        
                    else
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k2,j);
                        end
                    end
                    
                    
                    
                    if flaglambda(cellnum) == 0
                        if flag2(cellnum) == 0
                            if flag1(cellnum) == 0
                                if flag3(cellnum) == 0
                                    profiles{cellnum, j}=[];
                                    
                                    'cry29';
                                    continue
                                end
                            else
                                [rectx, recty, area, perimeter] =  minboundrect(boundary1(:,2),boundary1(:,1));
                                centroid = [mean(boundary1(:,2)) mean(boundary1(:,1))];
                                
                            end
                        else
                            if flag3(cellnum) == 0
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect(boundary4(:,2),boundary4(:,1));
                                    centroid = [mean(boundary4(:,2)) mean(boundary4(:,1))];
                                else
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2)],[boundary1(:,1); boundary4(:,1)]);
                                    centroid = [mean([boundary1(:,2); boundary4(:,2)]) mean([boundary1(:,1); boundary4(:,1)])];
                                end
                            else
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary4(:,2);  boundary5(:,2)],[boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary4(:,2);  boundary5(:,2)]) mean([boundary4(:,1); boundary5(:,1)])];
                                else
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1); boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary1(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1); boundary4(:,1); boundary5(:,1)])];
                                end
                            end
                        end
                        
                    else
                        if flag2(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2)],[boundary1(:,1);boundary3(:,1)]);
                            centroid = [mean([boundary1(:,2);boundary3(:,2)]) mean([boundary1(:,1);boundary3(:,1)])];
                        else
                            if flag3(cellnum) == 0
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1)])];
                            else
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)])];
                            end
                        end
                    end
                    
                    
                    maxirectlength = 0;
                    clear maxirectlengthindex;
%                     maxirectwidth = 0;
                    clear maxirectwidthindex;
                    temp1 = zeros(length(rectx)-1,1);
                    for i2 = 1:length(rectx)-1
                        temp1(i2) = sqrt((rectx(i2)-rectx(i2+1))^2 + (recty(i2)-recty(i2+1))^2);
                        if temp1(i2) > maxirectlength
                            maxirectlength = temp1(i2);
                            maxirectlengthindex = i2;
                        end
                    end
%                     maxirectwidth = temp1(mod(maxirectlengthindex,2)+1);
                    maxirectwidthindex = mod(maxirectlengthindex,2)+1;
                    
                    middle_point = [recty(maxirectwidthindex) + (recty(maxirectwidthindex+1)-recty(maxirectwidthindex))/2 rectx(maxirectwidthindex)+ (rectx(maxirectwidthindex+1)-rectx(maxirectwidthindex))/2];
                    
                    opposite_middle_point = [recty(maxirectwidthindex+2) + (recty(maxirectwidthindex+3)-recty(maxirectwidthindex+2))/2 rectx(maxirectwidthindex+2)+ (rectx(maxirectwidthindex+3)-rectx(maxirectwidthindex+2))/2];
                    [slop, length_profile, xprofile, yprofile, sigx, sigy, deltaxunit, deltayunit]= myprofileline(middle_point, opposite_middle_point);
                    slop = atan(slop);
                    cell_long = length_profile;
                    [Pol1(f,cellnum,1),Pol1(f, cellnum,2), Pol2(f, cellnum,1), Pol2(f, cellnum,2)] =  PoleRetrieve(centroid, cell_long, slop, imsizetoreach);
                    
                    [dis1 dis2 dis1b dis2b] = PolMove(Pol1, Pol2, cellnum, f);
                    
                    if (dis1+dis2) < dis1b+dis2b
                        Pol1(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4);
                    else
                        Pol1(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4);
                    end
                    
%                     test = round(xprofile);
%                     test2 = round(yprofile);
                    clear pixelvalue;
                    clear testy;
                    clear testx;
                    
                    for perp = 1:7
                        testy{perp} = round((yprofile+(4-perp)*(-1)*deltaxunit)); %ceil
                        testx{perp} = round((xprofile+(4-perp)*deltayunit));
                        [testx{perp}, testy{perp}] = checkprofile(testx{perp}, testy{perp}, imagesizex, imagesizey);
                        for l = 1:length(testx{perp})
                            pixelvalue(perp,l) = tempim2{subpart}(round(testy{perp}(l)), round(testx{perp}(l)));
                        end
                        
                    end
                    
                    
                    
                    
                    clear values;
                    clear valuestest;
                    clear values5;
                    clear values4;
                    
                    valuestest = median(pixelvalue(:,1:l));
                    values = mean(pixelvalue(:,1:l));
                    values5 = (conv(double(valuestest), double(psi2), 'valid'));
                    values4 = (conv(double(values),double(psi),'valid'));
                    
                    profiles{cellnum,j} = values;
                    for minicompt = 1:nval-1
                        value_to_plot{cellnum, minicompt} = value_to_plot{cellnum,minicompt+1};
                    end
                    
                    if length(values) > 30
                        values2 = conv(double(values),double(psi),'valid');
                        [val ix] = max(values2);
                        value_to_plot{cellnum,10}(1) = val;
                        value_to_plot{cellnum,10}(2) = ix/length(values2);
                    end
                    temptracer1(cellnum) = tracking_matrix(k2,j);
                    if tracking_matrix(k2,j) == 0
                        if tracking_matrix(k2+m,j) == 0
                            if tracking_matrix(k3,j) == 0
                                continue
                                'cry3';
                            end
                        end
                    end
                    
                    tracing_road1(cellnum,i) = temptracer1(cellnum);
                    tracing_road2(cellnum,i) = temptracer2(cellnum);
                    
                    if temptracer1(cellnum) ~= temptracer2(cellnum)
                        oldtracer2(cellnum) = temptracer2(cellnum);
                    end
                    if temptracer1(cellnum) == temptracer2(cellnum) && i > 20
                        flag7(cellnum) = 1;
                    end
                    flag9(cellnum) = 0;
                elseif flag11(cellnum) == 1
                    
                    
                    'true2';
                    div_count(cellnum) = div_count(cellnum) + 1;
                    flaglambda(cellnum) = 0;
                    flag1(cellnum) = 0;
                    flag2(cellnum) = 0;
                    flag3(cellnum) = 0;
                    clear boundary1; clear boundary2; clear boundary3; clear boundary4; clear boundary5;
                    longueur_index = length(added_index);
                    
                    
                    
                    j = i-1;
                    
                    if tracing_road1(cellnum,j-1) == 0 && tracing_road2(cellnum,j-1) == 0
                        continue
                    end
                    if temptracer1(cellnum) > length(sinind2)
                        continue
                    end
                    if temptracer1(cellnum) ~= 0
                        k2 = temptracer1(cellnum);
                    else
                        k2 = temptracer2(cellnum);
                    end
                    if temptracer1(cellnum) ~= 0
                        k3 = temptracer2(cellnum);
                    else
                        k3 = temptracer1(cellnum);
                    end
                    boundary2 = B2{sinind2(k2)};
                    if tracking_matrix(k2,j) ~= 0
                        boundary1 = B1{sinind1(tracking_matrix(k2,j))};
                        flag1(cellnum) = 1;
                    end
                    index = find(tracking_matrix(:,j));
                    m = tracking_matrix(index(end),j);
                    if tracking_matrix(m + k2, j) ~= 0
                        boundary3 = B1{sinind1(tracking_matrix(k2+m,j))};
                        oldtracer2(cellnum) = temptracer2(cellnum);
                        temptracer2(cellnum) = tracking_matrix(k2+m,j);
                        flaglambda(cellnum) = 1;
                        
                    end
                    
                    if oldtracer2(cellnum) ~= temptracer1(cellnum) && oldtracer2(cellnum) ~= 0 && temptracer1(cellnum) ~=0
                        boundary4 = B2{sinind2(k3)};
                        flag2(cellnum) = 1;
                        if tracking_matrix(k3,j) ~= 0
                            boundary5 = B1{sinind1(tracking_matrix(k3,j))};
                            flag3(cellnum) = 1;
                        end
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k3,j);
                        end
                        
                    else
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k2,j);
                        end
                    end
                    
                    
                    
                    if flaglambda(cellnum) == 0
                        if flag2(cellnum) == 0
                            if flag1(cellnum) == 0
                                if flag3(cellnum) == 0
                                    profiles{cellnum, j}=[];
                                    
                                    'cry29';
                                    continue
                                end
                            else
                                [rectx, recty, area, perimeter] =  minboundrect(boundary1(:,2),boundary1(:,1));
                                centroid = [mean([boundary1(:,2)]) mean(boundary1(:,1))];
                                
                            end
                        else
                            if flag3(cellnum) == 0
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect(boundary4(:,2),boundary4(:,1));
                                    centroid = [mean(boundary4(:,2)) mean(boundary4(:,1))];
                                else
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2)],[boundary1(:,1); boundary4(:,1)]);
                                    centroid = [mean([boundary1(:,2); boundary4(:,2)]) mean([boundary1(:,1); boundary4(:,1)])];
                                end
                            else
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary4(:,2);  boundary5(:,2)],[boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary4(:,2);  boundary5(:,2)]) mean([boundary4(:,1); boundary5(:,1)])];
                                else
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1); boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary1(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1); boundary4(:,1); boundary5(:,1)])];
                                end
                            end
                        end
                        
                    else
                        if flag2(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2)],[boundary1(:,1);boundary3(:,1)]);
                            centroid = [mean([boundary1(:,2);boundary3(:,2)]) mean([boundary1(:,1);boundary3(:,1)])];
                        else
                            if flag3(cellnum) == 0
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1)])];
                            else
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)])];
                            end
                        end
                    end
                    
                    
                    maxirectlength = 0;
                    clear maxirectlengthindex;
%                     maxirectwidth = 0;
                    clear maxirectwidthindex;
                    temp1 = zeros(length(rectx)-1,1);
                    for i2 = 1:length(rectx)-1
                        temp1(i2) = sqrt((rectx(i2)-rectx(i2+1))^2 + (recty(i2)-recty(i2+1))^2);
                        if temp1(i2) > maxirectlength
                            maxirectlength = temp1(i2);
                            maxirectlengthindex = i2;
                        end
                    end
%                     maxirectwidth = temp1(mod(maxirectlengthindex,2)+1);
                    maxirectwidthindex = mod(maxirectlengthindex,2)+1;
                    
                    middle_point = [recty(maxirectwidthindex) + (recty(maxirectwidthindex+1)-recty(maxirectwidthindex))/2 rectx(maxirectwidthindex)+ (rectx(maxirectwidthindex+1)-rectx(maxirectwidthindex))/2];
                    
                    opposite_middle_point = [recty(maxirectwidthindex+2) + (recty(maxirectwidthindex+3)-recty(maxirectwidthindex+2))/2 rectx(maxirectwidthindex+2)+ (rectx(maxirectwidthindex+3)-rectx(maxirectwidthindex+2))/2];
                    [slop, length_profile, xprofile, yprofile, sigx, sigy, deltaxunit, deltayunit]= myprofileline(middle_point, opposite_middle_point);
                    slop = atan(slop);
                    cell_long = length_profile;
                    [Pol1(f,cellnum,1),Pol1(f, cellnum,2), Pol2(f, cellnum,1), Pol2(f, cellnum,2)] =  PoleRetrieve(centroid, cell_long, slop, imsizetoreach);
                    
                    [dis1 dis2 dis1b dis2b] = PolMove(Pol1, Pol2, cellnum, f);
                    
                    if (dis1+dis2) < dis1b+dis2b
                        Pol1(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4);
                    else
                        Pol1(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4);
                    end
%                     test = round(xprofile);
%                     test2 = round(yprofile);
                    clear pixelvalue;
                    clear testy;
                    clear testx;
                    
                    for perp = 1:7
                        testy{perp} = round((yprofile+(4-perp)*(-1)*deltaxunit)); %ceil
                        testx{perp} = round((xprofile+(4-perp)*deltayunit));
                        [testx{perp}, testy{perp}] = checkprofile(testx{perp}, testy{perp}, imagesizex, imagesizey);
                        for l = 1:length(testx{perp})
                            pixelvalue(perp,l) = tempim2{subpart}(round(testy{perp}(l)), round(testx{perp}(l)));
                        end
                        
                    end
                    
                    
                    
                    
                    clear values;
                    clear valuestest;
                    clear values5;
                    clear values4;
                    
                    valuestest = median(pixelvalue(:,1:l));
                    values = mean(pixelvalue(:,1:l));
                    values5 = (conv(double(valuestest), double(psi2), 'valid'));
                    values4 = (conv(double(values),double(psi),'valid'));
                    
                    profiles{cellnum,j} = values;
                    for minicompt = 1:nval-1
                        value_to_plot{cellnum, minicompt} = value_to_plot{cellnum,minicompt+1};
                    end
                    
                    if length(values) > 30
                        values2 = conv(double(values),double(psi),'valid');
                        [val ix] = max(values2);
                        value_to_plot{cellnum,10}(1) = val;
                        value_to_plot{cellnum,10}(2) = ix/length(values2);
                    end
                    temptracer1(cellnum) = tracking_matrix(k2,j);
                    
                    
                    
                    if tracking_matrix(k2,j) == 0
                        if tracking_matrix(k2+m,j) == 0
                            if tracking_matrix(k3,j) == 0
                                continue
                                'cry3';
                            end
                        end
                    end
                    
                    tracing_road1(cellnum,i) = temptracer1(cellnum);
                    tracing_road2(cellnum,i) = temptracer2(cellnum);
                    if temptracer1(cellnum) ~= temptracer2(cellnum)
                        oldtracer2(cellnum) = temptracer2(cellnum);
                    end
                    if temptracer1(cellnum) == temptracer2(cellnum) && i > 20
                        flag7(cellnum) = 1;
                    end
                    flag11(cellnum) = 0;
                end
            end
        end
        
        old_length = lon;
        lon = length(added_index);
        longueur_index = length(added_index);
        
        if old_length == lon && i > 100 && i < 2500 && rem(i,50) < 10 && flagorthensia ~= 1 %&& isempty(find(flag5,1)) == 1
            for piou = 1:length(sinind2)
                if centroid2(sinind2(piou),1) > 450
                    ptittest1 = find(temptracer1(:) == piou);
                    ptittest2 = find(temptracer2(:) == piou);
                    if isempty(ptittest1) == 1 && isempty(ptittest2) == 1
                        added_index(longueur_index + 1) = sinind2(piou);
                        flagorthensia = 1;
                        Birth_index(longueur_index + 1,1) = sinind2(piou);
                        Birth_index(longueur_index + 1,2) = j;
                        Birth_index(longueur_index + 1,3) = 5000;
                        temptracer1(longueur_index + 1) = piou;
                        temptracer2(longueur_index + 1) = piou;
                        tracing_road1(longueur_index + 1,i-1) = piou;
                        tracing_road2(longueur_index + 1,i-1) = piou;
                        [Pol1(f, longueur_index + 1,1),Pol1(f, longueur_index + 1,2), Pol2(f, longueur_index + 1,1), Pol2(f, longueur_index + 1,2)] =  PoleRetrieveAll(centroid2, longueur_profile2, slope2, sinind2, piou, imsizetoreach);
                        Pol1(f, longueur_index + 1,3) = 500;
                        Pol2(f, longueur_index + 1,3) = 500;
                        Pol1(f, longueur_index + 1,4) = 0;
                        Pol2(f, longueur_index + 1,4) = 0;
                        for minicompt = 1:nval
                            value_to_plot{longueur_index+1,minicompt} = [0 0];
                        end
                        Division_marker{longueur_index+1} = [];
                        UniqueID(cellcounter,1) = piou;
                        UniqueID(cellcounter,2) = 0;
                        cellcounter = cellcounter+1;
                    end
                end
                longueur_index = length(added_index);
            end
            old_length = length(added_index);
            lon = length(added_index);
            pause(1)
        end
        
        
        
        
        %Second part, where "normal" cells are analysed and division detected
        clear check;
        clear check_up1;
        clear check_up2;
        clear check_up;
        check_up1 = (tracing_road1(:,j))~= 0; 
        check_up2 = (tracing_road2(:,j))~= 0;
        check_up = (check_up1 + check_up2);
        check_up(check_up == 2) = 1;
        check = find(check_up == 1);
        fin = find(check == old_length);
        chcnt = 1;
        while(isempty(fin) ==1 || old_length-chcnt >= old_length-50 || old_length-chcnt >= 0)
            fin = find(check == old_length-chcnt);
            chcnt = chcnt+1;
        end
        
        set0 = check_up;
        set0(check_up == 0) = 1;
        set0(check_up == 1) = 0;
        set0(check(fin)+1:lon) = 0;
        temptracer1(set0 == 1) = 0;
        temptracer2(set0 == 1) = 0;
        size(check);

        for cellcnt = 1:fin

            cellnum = check(cellcnt);
            div_count(cellnum) = div_count(cellnum) + 1;
            flaglambda(cellnum) = 0;
            flag1(cellnum) = 0;
            flag2(cellnum) = 0;
            flag3(cellnum) = 0;
            clear boundary1; clear boundary2; clear boundary3; clear boundary4; clear boundary5;
            clear meanc
            clear c1;clear c2;clear c3;clear c4;clear c5;clear c6;clear c;
            longueur_index = length(added_index);
            j = i-1;
            
            if tracing_road1(cellnum,j) == 0 && tracing_road2(cellnum,j) == 0
                temptracer1(cellnum) = 0;
                temptracer2(cellnum) = 0;
                continue
            end
            if flag5(cellnum) == 1 && temptracer2(cellnum) ~= temptracer1(cellnum)
                if temptracer1(cellnum) ~= 0
                    bound1 = B2{sinind2(temptracer1(cellnum))};
                    center1 = [mean(bound1(:,2)) mean(bound1(:,1))];
                    [rectx1, recty1, area1, perimeter1] =  minboundrect(bound1(:,2),bound1(:,1));
                    [middle_point1, opposite_middle_point1] = Find_Profile(rectx1, recty1);
                    [slop1, length_profile1, xprofile1, yprofile1, sigx1, sigy1, deltaxunit1, deltayunit1]= myprofileline(middle_point1, opposite_middle_point1);
                    slop1 = atan(slop1);
                    [p11(1), p11(2), p12(1), p12(2)] =  PoleRetrieve(center1, length_profile1,slop1, imsizetoreach);
                    
                    if temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum)
                        bound2 = B2{sinind2(temptracer2(cellnum))} ;
                        center2 = [mean(bound2(:,2)) mean(bound2(:,1))];
                        [rectx2, recty2, area2, perimeter2] =  minboundrect(bound2(:,2),bound2(:,1));
                        [middle_point2, opposite_middle_point2] = Find_Profile(rectx2, recty2);
                        [slop2, length_profile2, xprofile2, yprofile2, sigx2, sigy2, deltaxunit2, deltayunit2]= myprofileline(middle_point2, opposite_middle_point2);
                        slop2 = atan(slop2);
                        [p21(1), p21(2), p22(1), p22(2)] =  PoleRetrieve(center2, length_profile2, slop2, imsizetoreach);
                        %                     break
                        if center1(1) > center2(1)
                            Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                            Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                            
                            Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                            Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                            Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                            Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                            
                            [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
%                             if size(pass1,2) == 1 || size(pass2,2) == 1
                                
                            %pass stands for p assign;
                            %pch Stands for p check;
                            [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                            [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);
                            
                            if PolVal1 == 1
                                Pol2(f-1, cellnum, 1:2) = pass1;
                                Pol2(f-1, cellnum, 3) = 0;
                                Pol2(f-1, cellnum, 4) = 1;
                                Pol1(f-1, cellnum,1:2) = p1;
                                Pol1(f-1, cellnum, 3) = Pol1(f-1, cellnum, 3)+1;
                                Pol1(f-1, cellnum, 4) = 0;
                            elseif PolVal1 == 2
                                Pol1(f-1, cellnum, 1:2) = pass1;
                                Pol1(f-1, cellnum, 3) = 0;
                                Pol1(f-1, cellnum, 4) = 1;
                                Pol2(f-1, cellnum,1:2) = p1;
                                Pol2(f-1, cellnum, 3) = Pol2(f-1, cellnum, 3)+1;
                                Pol2(f-1, cellnum, 4) = 0;
                            elseif PolVal1 == 3
                                Pol1(f-1, longueur_index+1,1:2) = p11;
                                Pol1(f-1, longueur_index+1,3) = 500;
                                Pol1(f-1, longueur_index+1,4) = 0;
                                Pol2(f-1, longueur_index+1,1:2) = p12;
                                Pol2(f-1, longueur_index+1, 3) =  500;
                                Pol2(f-1, longueur_index+1,4) = 0;
                                
                            end
                            if PolVal2 == 1
                                Pol2(f-1, longueur_index+1,1:2) = pass2;
                                Pol2(f-1, longueur_index+1,3) = 0;
                                Pol2(f-1, longueur_index+1,4) = 1;
                                Pol1(f-1, longueur_index+1,1:2) = p2;
                                Pol1(f-1, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                Pol1(f-1, longueur_index+1,4) = 0;
                            elseif PolVal2 == 2
                                Pol1(f-1, longueur_index+1,1:2) = pass2;
                                Pol1(f-1, longueur_index+1,3) = 0;
                                Pol1(f-1, longueur_index+1,4) = 1;
                                Pol2(f-1, longueur_index+1,1:2) = p2;
                                Pol2(f-1, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                Pol2(f-1, longueur_index+1,4) = 0;
                            elseif PolVal2 == 3
                                Pol1(f-1, longueur_index+1,1:2) = p21;
                                Pol1(f-1, longueur_index+1,3) = 500;
                                Pol1(f-1, longueur_index+1,4) = 0;
                                Pol2(f-1, longueur_index+1,1:2) = p22;
                                Pol2(f-1, longueur_index+1, 3) =  500;
                                Pol2(f-1, longueur_index+1,4) = 0;
                                
                            end
                            added_index(longueur_index+1) = added_index(cellnum);
                            tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                            tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                             for truc = 1:i-2
%                                 profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                             end
                            tracing_road1(longueur_index+1, i) = temptracer2(cellnum);
                            tracing_road2(longueur_index+1, i) = temptracer2(cellnum);
                            temptracer1(longueur_index+1) = temptracer2(cellnum);
                            temptracer2(longueur_index+1) = temptracer2(cellnum);
                            Birth_index(longueur_index+1,1) = temptracer2(cellnum);
                            temptracer2(cellnum) = temptracer1(cellnum);
                            for minicompt = 1:nval
                                value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                            end
                            Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                            Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                            cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                            flag5(cellnum)= 0;
                            'tracer';
                            
                            temptracer1(cellnum);
                            temptracer2(longueur_index+1);
                            flag8(longueur_index+1) = 1;
                            flag10(longueur_index+1) = 1;
                            Division_marker{longueur_index+1} = Division_marker{cellnum};
                            Birth_index(longueur_index+1,2) = j;
                            Birth_index(longueur_index + 1,3) = added_index(cellnum);
                            div_count(longueur_index+1) = 0;
                            
                            
                            
                        else
                            Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                            Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                            
                            Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                            Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                            Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                            Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                            Pol1(f-1, cellnum, :) = [GlobalPol1 Pol1A Pol1P];
                            Pol2(f-1, cellnum, :) = [GlobalPol2, Pol2A Pol2P];
                            [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
                            
                            %pass stands for p assign;
                            %pch Stands for p check;
                            [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                            [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);
                            
                            if PolVal1 == 1
                                Pol2(f-1, cellnum, 1:2) = pass2;
                                Pol2(f-1, cellnum, 3) = 0;
                                Pol2(f-1, cellnum, 4) = 1;
                                Pol1(f-1, cellnum,1:2) = p2;
                                Pol1(f-1, cellnum, 3) = Pol1(f-1, cellnum, 3)+1;
                                Pol1(f-1, cellnum, 4) = 0;
                            elseif PolVal1 == 2
                                Pol1(f-1, cellnum, 1:2) = pass2;
                                Pol1(f-1, cellnum, 3) = 0;
                                Pol1(f-1, cellnum, 4) = 1;
                                Pol2(f-1, cellnum,1:2) = p2;
                                Pol2(f-1, cellnum, 3) = Pol2(f-1, cellnum, 3)+1;
                                Pol2(f-1, cellnum, 4) = 0;
                            elseif PolVal1 == 3
                                Pol1(f-1, longueur_index+1,1:2) = p11;
                                Pol1(f-1, longueur_index+1,3) = 500;
                                Pol1(f-1, longueur_index+1,4) = 0;
                                Pol2(f-1, longueur_index+1,1:2) = p12;
                                Pol2(f-1, longueur_index+1, 3) =  500;
                                Pol2(f-1, longueur_index+1,4) = 0;
                            end
                            if PolVal2 == 1
                                Pol2(f-1, longueur_index+1,1:2) = pass1;
                                Pol2(f-1, longueur_index+1,3) = 0;
                                Pol2(f-1, longueur_index+1,4) = 1;
                                Pol1(f-1, longueur_index+1,1:2) = p1;
                                Pol1(f-1, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                Pol1(f-1, longueur_index+1,4) = 0;
                            elseif PolVal2 == 2
                                Pol1(f-1, longueur_index+1,1:2) = pass1;
                                Pol1(f-1, longueur_index+1,3) = 0;
                                Pol1(f-1, longueur_index+1,4) = 1;
                                Pol2(f-1, longueur_index+1,1:2) = p1;
                                Pol2(f-1, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                Pol2(f-1, longueur_index+1,4) = 0;
                            elseif PolVal2 == 3
                                Pol1(f-1, longueur_index+1,1:2) = p21;
                                Pol1(f-1, longueur_index+1,3) = 500;
                                Pol1(f-1, longueur_index+1,4) = 0;
                                Pol2(f-1, longueur_index+1,1:2) = p22;
                                Pol2(f-1, longueur_index+1, 3) =  500;
                                Pol2(f-1, longueur_index+1,4) = 0;
                            end
                            added_index(longueur_index+1) = added_index(cellnum);
                            tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                            tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                             for truc = 1:i-2
%                                 profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                             end
                            tracing_road1(longueur_index+1, i) = temptracer1(cellnum);
                            tracing_road2(longueur_index+1, i) = temptracer1(cellnum);
                            temptracer1(longueur_index+1) = temptracer1(cellnum);
                            temptracer2(longueur_index+1) = temptracer1(cellnum);
                            Birth_index(longueur_index+1,1) = temptracer1(cellnum);
                            temptracer1(cellnum) = temptracer2(cellnum);
                            flag5(cellnum)= 0;
                            'tracer';
                            temptracer1(longueur_index+1);
                            temptracer2(cellnum);
                            flag10(longueur_index+1) = 1;
                            for minicompt = 1:nval
                                value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                            end
                            flag5(cellnum) = 0;
                            flag8(longueur_index+1) = 1;
                            Division_marker{longueur_index+1} = Division_marker{cellnum};
                            Birth_index(longueur_index+1,2) = j;
                            Birth_index(longueur_index + 1,3) = added_index(cellnum);
                            div_count(longueur_index+1) = 0;
                            Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                            Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                            cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                        end
                    end
                end
            end
            if flag7(cellnum) == 1 && div_count(cellnum) < 25
                if temptracer2(cellnum) ~= temptracer1(cellnum)
                    if temptracer1(cellnum) ~= 0
                        bound1 = B2{sinind2(temptracer1(cellnum))};
                        center1 = [mean(bound1(:,2)) mean(bound1(:,1))];
                        if temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum)
                            bound2 = B2{sinind2(temptracer2(cellnum))} ;
                            center2 = [mean(bound2(:,2)) mean(bound2(:,1))];
                            if center1(1) > center2(1)
                                temptracer2(cellnum) = temptracer1(cellnum);
                                'tracer';
                                temptracer1(cellnum);
                            else
                                temptracer1(cellnum) = temptracer2(cellnum);
                                'tracer2';
                                temptracer2(cellnum);
                            end
                        end
                    end
                end
            end
            
            if flag8(cellnum) == 1 && div_count(cellnum) < 25
                if temptracer2(cellnum) ~= temptracer1(cellnum)
                    if temptracer1(cellnum) ~= 0
                        bound1 = B2{sinind2(temptracer1(cellnum))};
                        center1 = [mean(bound1(:,2)) mean(bound1(:,1))];
                        if temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum)
                            bound2 = B2{sinind2(temptracer2(cellnum))} ;
                            center2 = [mean(bound2(:,2)) mean(bound2(:,1))];
                            if center1(1) < center2(1)
                                temptracer2(cellnum) = temptracer1(cellnum);
                                'tracer';
                                temptracer1(cellnum);
                            else
                                temptracer1(cellnum) = temptracer2(cellnum);
                                'tracer2';
                                temptracer2(cellnum);
                            end
                        end
                    end
                end
            end
            
            
            if flag8(cellnum) == 1 && div_count(cellnum)> 25
                flag8(cellnum) = 0;
            end
            if temptracer1(cellnum) > length(sinind2)
                'Strange end : cellnum f Birth Added Step2';
                cellnum;
                f;
                Birth_index(cellnum, :);
                added_index(cellnum);
                temptracer1(cellnum);
                temptracer2(cellnum);
                
                temptracer1(cellnum) = 0; temptracer2(cellnum) = 0;
                
                continue
            end
            if temptracer1(cellnum) ~= 0
                k2 = temptracer1(cellnum);
            else
                k2 = temptracer2(cellnum);
            end
            if temptracer2(cellnum) ~= 0
                k3 = temptracer2(cellnum);
            else
                k3 = temptracer1(cellnum);
            end
            boundary2 = B2{sinind2(k2)};
            if tracking_matrix(k2,j) ~= 0
                boundary1 = B1{sinind1(tracking_matrix(k2,j))};
                flag1(cellnum) = 1;
            end
            index = find(tracking_matrix(:,j));
            m = tracking_matrix(index(end),j);
            if tracking_matrix(m + k2, j) ~= 0
                boundary3 = B1{sinind1(tracking_matrix(k2+m,j))};
                oldtracer2(cellnum) = temptracer2(cellnum);
                temptracer2(cellnum) = tracking_matrix(k2+m,j);
                flaglambda(cellnum) = 1;
                
            end
            
            if temptracer1(cellnum) ~= temptracer2(cellnum) && oldtracer2(cellnum) ~= temptracer1(cellnum) && oldtracer2(cellnum) ~= 0 && temptracer1(cellnum) ~=0
                boundary4 = B2{sinind2(k3)};
                flag2(cellnum) = 1;
                if tracking_matrix(k3,j) ~= 0
                    boundary5 = B1{sinind1(tracking_matrix(k3,j))};
                    flag3(cellnum) = 1;
                end
                if flaglambda(cellnum) ~= 1
                    temptracer2(cellnum) = tracking_matrix(k3,j);
                end
                
            else
                if flaglambda(cellnum) ~= 1
                    temptracer2(cellnum) = tracking_matrix(k2,j);
                end
                if temptracer1(cellnum) == m || temptracer2(cellnum) == m
                    temptracer1(cellnum) =0;
                    temptracer2(cellnum) =0;
                end
            end
            
            
            
            if flaglambda(cellnum) == 0
                if flag2(cellnum) == 0
                    if flag1(cellnum) == 0
                        if flag3(cellnum) == 0
                            profiles{cellnum, j}=[];
                            'cry31';
                            continue
                        end
                    else
                        [rectx, recty, area, perimeter] =  minboundrect(boundary1(:,2),boundary1(:,1));
                        centroid = [mean(boundary1(:,2)) mean(boundary1(:,1))];
                    end
                else
                    if flag3(cellnum) == 0
                        if flag1(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect(boundary4(:,2),boundary4(:,1));
                            centroid = [mean(boundary4(:,2)) mean(boundary4(:,1))];
                        else[rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2)],[boundary1(:,1); boundary4(:,1)]);
                            
                            centroid = [mean([boundary1(:,2); boundary4(:,2)]) mean([boundary1(:,1); boundary4(:,1)])];
                        end
                    else
                        if flag1(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect(boundary5(:,2), boundary5(:,1));
                            centroid = [mean(boundary5(:,2)) mean(boundary5(:,1))];
                        else
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary5(:,2)],[boundary1(:,1); boundary5(:,1)]);
                            centroid = [mean([boundary1(:,2);  boundary5(:,2)]) mean([boundary1(:,1);  boundary5(:,1)])];
                        end
                    end
                end
                
            else
                if flag1(cellnum) == 0
                    if flag2(cellnum) == 0
                        [rectx, recty, area, perimeter] =  minboundrect(boundary3(:,2),boundary3(:,1));
                        centroid = [mean(boundary3(:,2)) mean(boundary3(:,1))];
                    end
                else
                    if flag2(cellnum) == 0
                        [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2)],[boundary1(:,1);boundary3(:,1)]);
                        centroid = [mean([boundary1(:,2);boundary3(:,2)]) mean([boundary1(:,1);boundary3(:,1)])];
                    else
                        if flag3(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1)]);
                            centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1)])];
                        else
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)]);
                            centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)])];
                        end
                    end
                end
                
            end
            
            [middle_point, opposite_middle_point, maxwidth] = Find_Profile(rectx, recty);
            [slop, length_profile, xprofile, yprofile, sigx, sigy, deltaxunit, deltayunit]= myprofileline(middle_point, opposite_middle_point);
            slop = atan(slop);
            cell_long = length_profile;
            [Pol1(f, cellnum,1),Pol1(f, cellnum,2), Pol2(f, cellnum,1), Pol2(f, cellnum,2)] =  PoleRetrieve(centroid, cell_long, slop, imsizetoreach);
            
            
            [dis1 dis2 dis1b, dis2b] = PolMove(Pol1, Pol2, cellnum, f);
            
            if (dis1+dis2) < dis1b+dis2b
                Pol1(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4);
            else
                Pol1(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4);
            end
            
%             test = round(xprofile);
%             test2 = round(yprofile);
            clear pixelvalue;
            clear testy;
            clear testx;
            
            for perp = 1:7
                testy{perp} = round((yprofile+(4-perp)*(-1)*deltaxunit));
                testx{perp} = round((xprofile+(4-perp)*deltayunit));
                [testx{perp}, testy{perp}] = checkprofile(testx{perp}, testy{perp}, imagesizex, imagesizey);
                for l = 1:length(testx{perp})
                    pixelvalue(perp,l) = tempim2{subpart}(round(testy{perp}(l)), round(testx{perp}(l)));
                end
                
            end
            
            
            
            
            clear values;
            clear valuestest;
            clear values5;
            clear values4;
            
            valuestest = median(pixelvalue(:,1:l));
            values = mean(pixelvalue(:,1:l));
            values5 = (conv(double(valuestest), double(psi2), 'valid'));
            values4 = (conv(double(values),double(psi),'valid'));
            
            profiles{cellnum,j} = values;
            clear values2;
            Xpos(cellnum,j) = centroid2(sinind2(k2),1);
            Ypos(cellnum,j) = centroid2(sinind2(k2),2);
            
            cell_length(cellnum, j) = cell_long;
            if isempty(value_to_plot{cellnum,nval}) == 1
                value_to_plot{cellnum,nval} = [0 0 0];
            end
            
            for minicompt = 1:nval-1
                value_to_plot{cellnum, minicompt} = value_to_plot{cellnum,minicompt+1};
            end
            if length(values) > 30
                values2 = conv(values,psi,'valid');
                [val ix] = max(values2);
                value_to_plot{cellnum,nval}(1) = val;
                value_to_plot{cellnum,nval}(2) = ix/length(values2);
                value_to_plot{cellnum,nval}(3) = length(values);
            else
                value_to_plot{cellnum,nval}(1) = 0;
                value_to_plot{cellnum,nval}(2) = 0;
                value_to_plot{cellnum,nval}(3) = length(values);
            end
            temptracer1(cellnum) = tracking_matrix(k2,j);
            if j > 10 && div_count(cellnum) > 25
                highmean = (value_to_plot{cellnum, nval-5}(1)+ value_to_plot{cellnum, nval-4}(1)+ value_to_plot{cellnum, nval-3}(1))/3;%+ value_to_plot(i-6,1))/5;
                lowmean = (value_to_plot{cellnum, nval-2}(1)+ value_to_plot{cellnum, nval-1}(1)+ value_to_plot{cellnum, nval}(1))/3;
                derivalmean = (highmean-lowmean) / 6;
                if derivalmean > 2.5 && div_count(cellnum) > 50
                    mean_val = 0;
                    maxvalue = 0;
                    ixmax = 0;
                    for petitebete = 1:nval-2
                        mean_val = mean_val + value_to_plot{cellnum, petitebete}(1);
                        if value_to_plot{cellnum,petitebete}(1) > maxvalue
                            maxvalue = value_to_plot{cellnum,petitebete}(1);
                            ixmax = petitebete;
                        end
                    end
                    mean_val = mean_val / 8;
                    if mean_val > 16 && value_to_plot{cellnum,ixmax}(2) < 0.70 && value_to_plot{cellnum, ixmax}(2)> 0.28 &&  (length(profiles{cellnum,j}) > 30 ||  length(profiles{cellnum,j-1}) > 30 || length(profiles{cellnum,j-2})> 30 || length(profiles{cellnum,j-3})> 30 || length(profiles{cellnum,j-4})> 30)
                        flag_to_div = 1;
                    end
                end
            end
            
            
            if flag_to_div == 1
                [GlobalPol1(1) GlobalPol1(2) GlobalPol2(1) GlobalPol2(2)] = PoleRetrieve(centroid, cell_long, slop, imsizetoreach);
                if temptracer1(cellnum) == 0 && temptracer2(cellnum) == 0
                    flag_to_div = 0;
                    'cry5';
                    continue
                elseif temptracer1(cellnum)~= 0 && temptracer2(cellnum) ~= 0
                    Division_marker{cellnum} = [Division_marker{cellnum} j];
                elseif temptracer1(cellnum) == 0
                    Division_marker{cellnum} = [Division_marker{cellnum} j];
                elseif temptracer2(cellnum) == 0
                    Division_marker{cellnum} = [Division_marker{cellnum} j];
                end
                flag5(cellnum) = 1;
                div_count(cellnum) = 0;
                UniqueID(cellcounter,1) = cellnum;
                UniqueID(cellcounter,2) = 0;
                cellcounter = cellcounter+1;
                
                
                if temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum);
                    
                    if tracking_matrix(k2,j) ~= 0
                        bound1 = B1{sinind1(tracking_matrix(k2,j))};
                        center1 = [mean(bound1(:,2)) mean(bound1(:,1))];
                        [rectx1, recty1, area1, perimeter1] =  minboundrect(bound1(:,2),bound1(:,1));
                        [middle_point1, opposite_middle_point1] = Find_Profile(rectx1, recty1);
                        [slop1, length_profile1, xprofile1, yprofile1, sigx1, sigy1, deltaxunit1, deltayunit1]= myprofileline(middle_point1, opposite_middle_point1);
                        slop1 = atan(slop1);
                        [p11(1), p11(2), p12(1), p12(2)] =  PoleRetrieve(center1, length_profile1,slop1, imsizetoreach);
                        if flaglambda(cellnum) == 1
                            bound2 = B1{sinind1(tracking_matrix(k2+m,j))} ;
                            center2 = [mean(bound2(:,2)) mean(bound2(:,1))];
                            [rectx2, recty2, area2, perimeter2] =  minboundrect(bound2(:,2),bound2(:,1));
                            [middle_point2, opposite_middle_point2] = Find_Profile(rectx2, recty2);
                            [slop2, length_profile2, xprofile2, yprofile2, sigx2, sigy2, deltaxunit2, deltayunit2]= myprofileline(middle_point2, opposite_middle_point2);
                            slop2 = atan(slop2);
                            [p21(1), p21(2), p22(1), p22(2)] =  PoleRetrieve(center2, length_profile2, slop2, imsizetoreach);
                            if center1(1) > center2(1)
                                Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                                Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                                
                                Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                                Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                                Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                                Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                                
                                [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
                                
                                if size(pass1,2) == 1 || size(pass2,2) == 1
                                        FlagMiss = 1;
                                    else
                                    
                                    %pass stands for p assign;
                                    %pch Stands for p check;
                                    [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                                    [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);

                                    if PolVal1 == 1
                                        Pol2(f, cellnum, 1:2) = pass1;
                                        Pol2(f, cellnum, 3) = 0;
                                        Pol2(f, cellnum, 4) = 1;
                                        Pol1(f, cellnum,1:2) = p1;
                                        Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
                                        Pol1(f, cellnum, 4) = 0;
                                    else
                                        Pol1(f, cellnum, 1:2) = pass1;
                                        Pol1(f, cellnum, 3) = 0;
                                        Pol1(f, cellnum, 4) = 1;
                                        Pol2(f, cellnum,1:2) = p1;
                                        Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
                                        Pol2(f, cellnum, 4) = 0;
                                    end
                                    if PolVal2 == 1
                                        Pol2(f, longueur_index+1,1:2) = pass2;
                                        Pol2(f, longueur_index+1,3) = 0;
                                        Pol2(f, longueur_index+1,4) = 1;
                                        Pol1(f, longueur_index+1,1:2) = p2;
                                        Pol1(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                        Pol1(f, longueur_index+1,4) = 0;
                                    else
                                        Pol1(f, longueur_index+1,1:2) = pass2;
                                        Pol1(f, longueur_index+1,3) = 0;
                                        Pol1(f, longueur_index+1,4) = 1;
                                        Pol2(f, longueur_index+1,1:2) = p2;
                                        Pol2(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                        Pol2(f, longueur_index+1,4) = 0;
                                    end
                                    added_index(longueur_index+1) = added_index(cellnum);
                                    tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                                    tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                                     for truc = 1:i-2
%                                         profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                                     end
                                    tracing_road1(longueur_index+1, i) = temptracer2(cellnum);
                                    tracing_road2(longueur_index+1, i) = temptracer2(cellnum);
                                    temptracer1(longueur_index+1) = temptracer2(cellnum);
                                    temptracer2(longueur_index+1) = temptracer2(cellnum);
                                    Birth_index(longueur_index+1,1) = temptracer2(cellnum);
                                    temptracer2(cellnum) = tracking_matrix(k2,j);
                                    flag5(cellnum)= 0;
                                    'tracer';
                                    temptracer1(cellnum);
                                    temptracer2(longueur_index+1);
                                    flag9(longueur_index+1) = 1;
                                    Birth_index(longueur_index+1,2) = j;
                                    Birth_index(longueur_index + 1,3) = added_index(cellnum);
                                    Division_marker{longueur_index+1} = Division_marker{cellnum};
                                    div_count(longueur_index+1) = 0;
                                    for minicompt = 1:nval
                                        value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                                    end
                                    Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                                    Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                                    cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                                    Pol1(f,cellnum,1)
                                end
                                
                                
                            else
                                
                                Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                                Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                                
                                Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                                Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                                Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                                Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                                Pol1(f-1, cellnum, :) = [GlobalPol1 Pol1A Pol1P];
                                Pol2(f-1, cellnum, :) = [GlobalPol2, Pol2A Pol2P];
                                [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
                                if size(pass1,2) == 1 || size(pass2,2) == 1
                                        FlagMiss = 1;
                                    else
                                    
                                    %pass stands for p assign;
                                    %pch Stands for p check;
                                    [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                                    [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);

                                    if PolVal1 == 1
                                        Pol2(f, cellnum, 1:2) = pass2;
                                        Pol2(f, cellnum, 3) = 0;
                                        Pol2(f, cellnum, 4) = 1;
                                        Pol1(f, cellnum,1:2) = p2;
                                        Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
                                        Pol1(f, cellnum, 4) = 0;
                                    else
                                        Pol1(f, cellnum, 1:2) = pass2;
                                        Pol1(f, cellnum, 3) = 0;
                                        Pol1(f, cellnum, 4) = 1;
                                        Pol2(f, cellnum,1:2) = p2;
                                        Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
                                        Pol2(f, cellnum, 4) = 0;
                                    end
                                    if PolVal2 == 1
                                        Pol2(f, longueur_index+1,1:2) = pass1;
                                        Pol2(f, longueur_index+1,3) = 0;
                                        Pol2(f, longueur_index+1,4) = 1;
                                        Pol1(f, longueur_index+1,1:2) = p1;
                                        Pol1(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                        Pol1(f, longueur_index+1,4) = 0;
                                    else
                                        Pol1(f, longueur_index+1,1:2) = pass1;
                                        Pol1(f, longueur_index+1,3) = 0;
                                        Pol1(f, longueur_index+1,4) = 1;
                                        Pol2(f, longueur_index+1,1:2) = p1;
                                        Pol2(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                        Pol2(f, longueur_index+1,4) = 0;
                                    end
                                    added_index(longueur_index+1) = added_index(cellnum);
                                    tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                                    tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                                     for truc = 1:i-2
%                                         profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                                     end
                                    tracing_road1(longueur_index+1, i) = temptracer1(cellnum);
                                    tracing_road2(longueur_index+1, i) = temptracer1(cellnum);
                                    temptracer1(longueur_index+1) = temptracer1(cellnum);
                                    temptracer2(longueur_index+1) = temptracer1(cellnum);
                                    Birth_index(longueur_index+1,1) = temptracer1(cellnum);
                                    temptracer1(cellnum) = temptracer2(cellnum);

                                    flag5(cellnum) = 0;
                                    'tracer2';
                                    temptracer1(longueur_index+1);
                                    temptracer2(cellnum);
                                    flag9(longueur_index+1) = 1;
                                    Birth_index(longueur_index+1,2) = j;

                                    Birth_index(longueur_index + 1,3) = added_index(cellnum);
                                    Division_marker{longueur_index+1} = Division_marker{cellnum};
                                    div_count(longueur_index+1) = 0;
                                    for minicompt = 1:nval
                                        value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                                    end
                                    Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                                    Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                                    cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                                end
                                
                            end
                            
                        else
                            if tracking_matrix(k3,j) ~= 0
                                'directement bon';
                                bound2 = B1{sinind1(tracking_matrix(k3,j))};
                                center2 = [mean(bound2(:,2)) mean(bound2(:,1))];
                                [rectx2, recty2, area2, perimeter2] =  minboundrect(bound2(:,2),bound2(:,1));
                                [middle_point2, opposite_middle_point2] = Find_Profile(rectx2, recty2);
                                [slop2, length_profile2, xprofile2, yprofile2, sigx2, sigy2, deltaxunit2, deltayunit2]= myprofileline(middle_point2, opposite_middle_point2);
                                slop2 = atan(slop2);
                                [p21(1), p21(2), p22(1), p22(2)] =  PoleRetrieve(center2, length_profile2, slop2, imsizetoreach);
                                if center1(1) > center2(1)
                                    Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                                    Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                                    
                                    Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                                    Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                                    Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                                    Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                                    
                                    [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
                                    if size(pass1,2) == 1 || size(pass2,2) == 1
                                        FlagMiss = 1;
                                    else
                                    
                                        %pass stands for p assign;
                                        %pch Stands for p check;
                                        [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                                        [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);

                                        if PolVal1 == 1
                                            Pol2(f, cellnum, 1:2) = pass1;
                                            Pol2(f, cellnum, 3) = 0;
                                            Pol2(f, cellnum, 4) = 1;
                                            Pol1(f, cellnum,1:2) = p1;
                                            Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
                                            Pol1(f, cellnum, 4) = 0;
                                        else
                                            Pol1(f, cellnum, 1:2) = pass1;
                                            Pol1(f, cellnum, 3) = 0;
                                            Pol1(f, cellnum, 4) = 1;
                                            Pol2(f, cellnum,1:2) = p1;
                                            Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
                                            Pol2(f, cellnum, 4) = 0;
                                        end
                                        if PolVal2 == 1
                                            Pol2(f, longueur_index+1,1:2) = pass2;
                                            Pol2(f, longueur_index+1,3) = 0;
                                            Pol2(f, longueur_index+1,4) = 1;
                                            Pol1(f, longueur_index+1,1:2) = p2;
                                            Pol1(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                            Pol1(f, longueur_index+1,4) = 0;
                                        else
                                            Pol1(f, longueur_index+1,1:2) = pass2;
                                            Pol1(f, longueur_index+1,3) = 0;
                                            Pol1(f, longueur_index+1,4) = 1;
                                            Pol2(f, longueur_index+1,1:2) = p2;
                                            Pol2(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                            Pol2(f, longueur_index+1,4) = 0;
                                        end
                                        added_index(longueur_index+1) = added_index(cellnum);
                                        tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                                        tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                                         for truc = 1:i-2
%                                             profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                                         end
                                        tracing_road1(longueur_index+1, i) = temptracer2(cellnum);
                                        tracing_road2(longueur_index+1, i) = temptracer2(cellnum);
                                        temptracer1(longueur_index+1) = temptracer2(cellnum);
                                        temptracer2(longueur_index+1) = temptracer2(cellnum);
                                        Birth_index(longueur_index+1,1) = temptracer2(cellnum);
                                        temptracer2(cellnum) = tracking_matrix(k2,j);
                                        flag5(cellnum)= 0;
                                        'tracer';
                                        temptracer1(cellnum);
                                        temptracer2(longueur_index+1);
                                        flag8(longueur_index+1) = 1;
                                        flag5(cellnum) = 0;
                                        flag9(longueur_index+1) = 1;
                                        Birth_index(longueur_index+1,2) = j;

                                        Birth_index(longueur_index + 1,3) = added_index(cellnum);
                                        Division_marker{longueur_index+1} = Division_marker{cellnum};
                                        div_count(longueur_index+1) = 0;
                                        for minicompt = 1:nval
                                            value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                                        end
                                        Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                                        Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                                        cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                                    end
                                else
                                    Pol1(1:f-2, longueur_index+1, :) = Pol1(1:f-2, cellnum, :);
                                    Pol2(1:f-2, longueur_index+1, :) = Pol2(1:f-2, cellnum, :);
                                    
                                    Pol1A = Pol1(f-1, cellnum, 3);Pol1P = Pol1(f-1, cellnum, 4);
                                    Pol2A = Pol2(f-1, cellnum, 3);Pol2P = Pol2(f-1, cellnum, 4);
                                    Pol1(f-1, longueur_index+1, :) = [GlobalPol1 Pol1A Pol1P];
                                    Pol2(f-1, longueur_index+1, :) = [GlobalPol2, Pol2A Pol2P];
                                    
                                    [pass1, pass2, pch1, pch2] = Assign_Poles(p11, p12, p21, p22, center1, center2, slop1, slop2, Pol1, Pol2, cellnum, f);
                                    if size(pass1,2) == 1 || size(pass2,2) == 1
                                        FlagMiss = 1;
                                    else
                                        %pass stands for p assign;
                                        %pch Stands for p check;
                                        [dis11 dis12 p1, PolVal1] = PolMove(Pol1, Pol2, cellnum, pch1 , f);
                                        [dis21 dis22 p2, PolVal2] = PolMove(Pol1, Pol2, cellnum, pch2 , f);

                                        if PolVal1 == 1
                                            Pol2(f, cellnum, 1:2) = pass2;
                                            Pol2(f, cellnum, 3) = 0;
                                            Pol2(f, cellnum, 4) = 1;
                                            Pol1(f, cellnum,1:2) = p2;
                                            Pol1(f, cellnum, 3) = Pol1(f, cellnum, 3)+1;
                                            Pol1(f, cellnum, 4) = 0;
                                        else
                                            Pol1(f, cellnum, 1:2) = pass2;
                                            Pol1(f, cellnum, 3) = 0;
                                            Pol1(f, cellnum, 4) = 1;
                                            Pol2(f, cellnum,1:2) = p2;
                                            Pol2(f, cellnum, 3) = Pol2(f, cellnum, 3)+1;
                                            Pol2(f, cellnum, 4) = 0;
                                        end
                                        if PolVal2 == 1
                                            Pol2(f, longueur_index+1,1:2) = pass1;
                                            Pol2(f, longueur_index+1,3) = 0;
                                            Pol2(f, longueur_index+1,4) = 1;
                                            Pol1(f, longueur_index+1,1:2) = p1;
                                            Pol1(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                            Pol1(f, longueur_index+1,4) = 0;
                                        else
                                            Pol1(f, longueur_index+1,1:2) = pass1;
                                            Pol1(f, longueur_index+1,3) = 0;
                                            Pol1(f, longueur_index+1,4) = 1;
                                            Pol2(f, longueur_index+1,1:2) = p1;
                                            Pol2(f, longueur_index+1, 3) =  Pol1(f-1, longueur_index+1, 3)+1;
                                            Pol2(f, longueur_index+1,4) = 0;
                                        end
                                        added_index(longueur_index+1) = added_index(cellnum);
                                        tracing_road1(longueur_index+1,1:i-1) = tracing_road1(cellnum,1:i-1);
                                        tracing_road2(longueur_index+1,1:i-1) = tracing_road2(cellnum,1:i-1);
%                                         for truc = 1:i-2
%                                             profiles{longueur_index+1,truc} = profiles{cellnum,truc};
%                                         end
                                        tracing_road1(longueur_index+1, i) = temptracer1(cellnum);
                                        tracing_road2(longueur_index+1, i) = temptracer1(cellnum);
                                        temptracer1(longueur_index+1) = temptracer1(cellnum);
                                        temptracer2(longueur_index+1) = temptracer1(cellnum);
                                        Birth_index(longueur_index+1,1) = temptracer1(cellnum);
                                        temptracer1(cellnum) = temptracer2(cellnum);
                                        flag9(longueur_index+1) = 1;
                                        flag5(cellnum) = 0;
                                        'tracer2';
                                        temptracer1(longueur_index+1);
                                        temptracer2(cellnum);
                                        flag8(longueur_index+1) = 1;
                                        flag5(cellnum) = 0;
                                        Birth_index(longueur_index+1,2) = j;

                                        Birth_index(longueur_index + 1,3) = added_index(cellnum);
                                        Division_marker{longueur_index+1} = Division_marker{cellnum};
                                        div_count(longueur_index+1) = 0;
                                        for minicompt = 1:nval
                                            value_to_plot{longueur_index+1,minicompt} = value_to_plot{cellnum,minicompt};
                                        end
                                        Xpos(longueur_index+1,:) = Xpos(cellnum,:);
                                        Ypos(longueur_index+1,:) = Ypos(cellnum,:);
                                        cell_length(longueur_index+1,:) = cell_length(cellnum, :);
                                    end
                                end
                            end
                        end
                    end
                    flag_to_div = 0;
                end
                flag_to_div = 0;
            elseif maxwidth > 24  
                if temptracer1(cellnum)~= 0 && temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum)
                    %                         return
                    tourbe(1) = temptracer1(cellnum);
                    tourbe(2) = temptracer2(cellnum);
                    for piou = 1:2
                        bound = B1{sinind1(tourbe(piou))};
                        added_index(longueur_index + 1) = sinind1(tourbe(piou));
                        Birth_index(longueur_index + 1,1) = sinind1(tourbe(piou));
                        Birth_index(longueur_index + 1,2) = j;
                        Birth_index(longueur_index + 1,3) = 6000;
                        temptracer1(longueur_index + 1) = tourbe(piou);
                        temptracer2(longueur_index + 1) = tourbe(piou);
                        tracing_road1(longueur_index + 1,i-1) = tourbe(piou);
                        tracing_road2(longueur_index + 1,i-1) = tourbe(piou);
                        [Pol1(f, longueur_index + 1,1),Pol1(f, longueur_index + 1,2), Pol2(f, longueur_index + 1,1), Pol2(f, longueur_index + 1,2)] =  PoleRetrieveAll(centroid1, longueur_profile1, slope1, sinind1, tourbe(piou), imsizetoreach);
                        Pol1(f, longueur_index + 1,3) = 500;
                        Pol2(f, longueur_index + 1,3) = 500;
                        Pol1(f, longueur_index + 1,4) = 0;
                        Pol2(f, longueur_index + 1,4) = 0;
                        
                        
                        for minicompt = 1:nval
                            value_to_plot{longueur_index+1,minicompt} = [0 0];
                        end
                        flag11(longueur_index+1) = 1;
                        Division_marker{longueur_index+1} = [];
                        UniqueID(cellcounter,1) = tourbe(piou);
                        UniqueID(cellcounter,2) = 0;
                        cellcounter = cellcounter+1;
                        longueur_index = length(added_index);
                        
                    end
                    
                   temptracer1(cellnum) = 0;
                    temptracer2(cellnum) = 0;
                    
                end
            end
            if FlagMiss == 1
                if temptracer1(cellnum)~= 0 && temptracer2(cellnum) ~= 0 && temptracer2(cellnum) ~= temptracer1(cellnum)
                    %                         return
                    tourbe(1) = temptracer1(cellnum);
                    tourbe(2) = temptracer2(cellnum);
                    for piou = 1:2
                        bound = B1{sinind1(tourbe(piou))};
                        added_index(longueur_index + 1) = sinind1(tourbe(piou));
                        Birth_index(longueur_index + 1,1) = sinind1(tourbe(piou));
                        Birth_index(longueur_index + 1,2) = j;
                        Birth_index(longueur_index + 1,3) = 6000;
                        temptracer1(longueur_index + 1) = tourbe(piou);
                        temptracer2(longueur_index + 1) = tourbe(piou);
                        tracing_road1(longueur_index + 1,i-1) = tourbe(piou);
                        tracing_road2(longueur_index + 1,i-1) = tourbe(piou);
                        [Pol1(f, longueur_index + 1,1),Pol1(f, longueur_index + 1,2), Pol2(f, longueur_index + 1,1), Pol2(f, longueur_index + 1,2)] =  PoleRetrieveAll(centroid1, longueur_profile1, slope1, sinind1, tourbe(piou), imsizetoreach);
                        Pol1(f, longueur_index + 1,3) = 500;
                        Pol2(f, longueur_index + 1,3) = 500;
                        Pol1(f, longueur_index + 1,4) = 0;
                        Pol2(f, longueur_index + 1,4) = 0;
                        
                        
                        for minicompt = 1:nval
                            value_to_plot{longueur_index+1,minicompt} = [0 0];
                        end
                        flag11(longueur_index+1) = 1;
                        Division_marker{longueur_index+1} = [];
                        UniqueID(cellcounter,1) = tourbe(piou);
                        UniqueID(cellcounter,2) = 0;
                        cellcounter = cellcounter+1;
                        longueur_index = length(added_index);
                        
                    end
                    
                    temptracer1(cellnum) = 0;
                    temptracer2(cellnum) = 0;
                    
                end
                FlagMiss = 0;
            end
            if tracking_matrix(k2,j) == 0
                if tracking_matrix(k2+m,j) == 0
                    if tracking_matrix(k3,j) == 0
                        continue
                        'cry3'
                    end
                end
            end
            tracing_road1(cellnum,i) = temptracer1(cellnum);
            tracing_road2(cellnum,i) = temptracer2(cellnum);
            
            if temptracer1(cellnum) ~= temptracer2(cellnum)
                oldtracer2(cellnum) = temptracer2(cellnum);
            end
            if temptracer1(cellnum) == temptracer2(cellnum) && i > 20
                flag7(cellnum) = 1;
            end
        end
        
        %Third part
        longueur_index = length(added_index);
        
        compttruc = 0;
        if lon ~= longueur_index
            
            'true';
            for cellnum = lon+1:longueur_index
                cellnum;
                
                if flag10(cellnum) == 1
                    compttruc = compttruc+1;
                    
                    'true2';
                    div_count(cellnum) = 0;
                    flaglambda(cellnum) = 0;
                    flag1(cellnum) = 0;
                    flag2(cellnum) = 0;
                    flag3(cellnum) = 0;
                    clear boundary1; clear boundary2; clear boundary3; clear boundary4; clear boundary5;
                    longueur_index = length(added_index);
                    
                    
                    
                    j = i-1;
                    
                    if tracing_road1(cellnum,j-1) == 0 && tracing_road2(cellnum,j-1) == 0
                        continue
                    end
                    if temptracer1(cellnum) > length(sinind2) || temptracer1(cellnum) > length(sinind1)
                        temptracer1(cellnum) = 0;
                        temptracer2(cellnum) = 0;
                        tracing_road1(cellnum,i) = 0;
                        tracing_road2(cellnum,i) = 0;
                        continue
                    end
                    
                    
                    if temptracer1(cellnum) ~= 0
                        k2 = temptracer1(cellnum);
                    else
                        k2 = temptracer2(cellnum);
                    end
                    if temptracer1(cellnum) ~= 0
                        k3 = temptracer2(cellnum);
                    else
                        k3 = temptracer1(cellnum);
                    end
                    boundary2 = B2{sinind2(k2)};%(Tracking_Index(k2,j))};
                    if tracking_matrix(k2,j) ~= 0
                        boundary1 = B1{sinind1(tracking_matrix(k2,j))};
                        flag1(cellnum) = 1;
                    end
                    index = find(tracking_matrix(:,j));
                    m = tracking_matrix(index(end),j);
                    if tracking_matrix(m + k2, j) ~= 0
                        boundary3 = B1{sinind1(tracking_matrix(k2+m,j))};
                        oldtracer2(cellnum) = temptracer2(cellnum);
                        temptracer2(cellnum) = tracking_matrix(k2+m,j);
                        flaglambda(cellnum) = 1;
                        
                    end
                    
                    if oldtracer2(cellnum) ~= temptracer1(cellnum) && oldtracer2(cellnum) ~= 0 && temptracer1(cellnum) ~=0
                        'cryn';
                        boundary4 = B2{sinind2(k3)};%(Tracking_Index(k2,j))};
                        flag2(cellnum) = 1;
                        if tracking_matrix(k3,j) ~= 0
                            boundary5 = B1{sinind1(tracking_matrix(k3,j))};
                            flag3(cellnum) = 1;
                        end
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k3,j);
                        end
                        
                    else
                        if flaglambda(cellnum) ~= 1
                            temptracer2(cellnum) = tracking_matrix(k2,j);
                        end
                    end
                    
                    
                    
                    if flaglambda(cellnum) == 0
                        if flag2(cellnum) == 0
                            if flag1(cellnum) == 0
                                if flag3(cellnum) == 0
                                    profiles{cellnum, j}=[];
                                    
                                    'cry2';
                                    continue
                                end
                            else
                                [rectx, recty, area, perimeter] =  minboundrect(boundary1(:,2),boundary1(:,1));
                                centroid = [mean(boundary1(:,2)) mean(boundary1(:,1))];
                            end
                        else
                            if flag3(cellnum) == 0
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect(boundary4(:,2),boundary4(:,1));
                                    centroid = [mean(boundary4(:,2)) mean(boundary4(:,1))];
                                else[rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2)],[boundary1(:,1); boundary4(:,1)]);
                                    
                                    centroid = [mean([boundary1(:,2); boundary4(:,2)]) mean([boundary1(:,1); boundary4(:,1)])];
                                end
                            else
                                if flag1(cellnum) == 0
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary4(:,2);  boundary5(:,2)],[boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary4(:,2);  boundary5(:,2)]) mean([boundary4(:,1); boundary5(:,1)])];
                                else
                                    [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1); boundary4(:,1); boundary5(:,1)]);
                                    centroid = [mean([boundary1(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1); boundary4(:,1); boundary5(:,1)])];
                                end
                            end
                        end
                        
                    else
                        if flag2(cellnum) == 0
                            [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2)],[boundary1(:,1);boundary3(:,1)]);
                            centroid = [mean([boundary1(:,2);boundary3(:,2)]) mean([boundary1(:,1);boundary3(:,1)])];
                        else
                            if flag3(cellnum) == 0
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1)])];
                            else
                                [rectx, recty, area, perimeter] =  minboundrect([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)],[boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)]);
                                centroid = [mean([boundary1(:,2);boundary3(:,2); boundary4(:,2);  boundary5(:,2)]) mean([boundary1(:,1);boundary3(:,1); boundary4(:,1); boundary5(:,1)])];
                            end
                        end
                        
                    end
                    
                    [middle_point, opposite_middle_point, maxwidth] = Find_Profile(rectx, recty);
                    [slop, length_profile, xprofile, yprofile, sigx, sigy, deltaxunit, deltayunit]= myprofileline(middle_point, opposite_middle_point);
                    slop = atan(slop);
                    cell_long = length_profile;
                    [Pol1(f, cellnum,1),Pol1(f, cellnum,2), Pol2(f, cellnum,1), Pol2(f, cellnum,2)] =  PoleRetrieve(centroid, cell_long, slop, imsizetoreach);
                    
                    
                    [dis1 dis2 dis1b, dis2b] = PolMove(Pol1, Pol2, cellnum, f);
                    
                    if (dis1+dis2) < dis1b+dis2b
                        Pol1(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4);
                    else
                        Pol1(f, cellnum,3:4) = Pol2(f-1, cellnum,3:4); Pol2(f, cellnum,3:4) = Pol1(f-1, cellnum,3:4);
                    end
                    cell_long = length_profile;
%                     test = round(xprofile);
%                     test2 = round(yprofile);
                    clear pixelvalue;
                    clear testy;
                    clear testx;
                    
                    for perp = 1:7
                        testy{perp} = round((yprofile+(4-perp)*(-1)*deltaxunit)); %ceil
                        testx{perp} = round((xprofile+(4-perp)*deltayunit));
                        [testx{perp}, testy{perp}] = checkprofile(testx{perp}, testy{perp}, imagesizex, imagesizey);
                        for l = 1:length(testx{perp})
                            pixelvalue(perp,l) = tempim2{subpart}(round(testy{perp}(l)), round(testx{perp}(l)));
                        end
                        
                    end
                    
                    Xpos(cellnum,j) = centroid2(sinind2(k2),1);
                    Ypos(cellnum,j) = centroid2(sinind2(k2),2);
                    cell_length(cellnum, j) = cell_long;
                    
                    
                    
                    clear values;
                    clear valuestest;
                    clear values5;
                    clear values4;
                    
                    valuestest = median(pixelvalue(:,1:l));
                    values = mean(pixelvalue(:,1:l));
                    %                     values4 = (conv(values,psi2,'valid'));
                    values5 = (conv(double(valuestest), double(psi2), 'valid'));
                    values4 = (conv(double(values),double(psi),'valid'));
                    
                    
                    
                    profiles{cellnum,j} = values;
                    for minicompt = 1:nval-1
                        value_to_plot{cellnum, minicompt} = value_to_plot{cellnum,minicompt+1};
                    end
                    if length(values) > 30
                        values2 = conv(values,psi,'valid');
                        [val ix] = max(values2);
                        value_to_plot{cellnum,nval}(1) = val;
                        value_to_plot{cellnum,nval}(2) = ix/length(values2);
                        value_to_plot{cellnum,nval}(3) = length(values);
                    end
                    
                    temptracer1(cellnum) = tracking_matrix(k2,j);
                    
                    
                    if tracking_matrix(k2,j) == 0
                        if tracking_matrix(k2+m,j) == 0
                            if tracking_matrix(k3,j) == 0
                                continue
                                'cry3';
                            end
                        end
                    end
                    tracing_road1(cellnum,i) = temptracer1(cellnum);
                    tracing_road2(cellnum,i) = temptracer2(cellnum);
                    
                    if temptracer1(cellnum) ~= temptracer2(cellnum)
                        oldtracer2(cellnum) = temptracer2(cellnum);
                    end
                    flag10(cellnum) = 0;
                end
            end
        end
        
        lon = lon+compttruc;
        test = rem(j,50);
   end
        savefileName = fullfile(SaveIndivResults, sprintf('cell_new_track_part%d', subpart));
        save(savefileName, 'profiles', 'tracing_road1', 'tracing_road2','Division_marker', 'added_index', 'basic_index', 'Birth_index', 'Xpos', 'Ypos', 'cell_length', 'Pol1', 'Pol2')
end
